'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

// add.js

var ua = global ? '' : navigator.userAgent;

function setUA(new_ua) {
    ua = new_ua;
}

// 是否在微信中
var isWechat = function isWechat() {
    return ua.toLowerCase().indexOf("micromessenger") > -1;
};

// 是否在微信中
var isWeixin = function isWeixin() {
    return isWechat();
};

// 是否是Android
var isAndroid = function isAndroid() {
    return ua.toLowerCase().indexOf("android") > -1 || ua.toLowerCase().indexOf("linux") > -1;
};

// 是否是iPhone
var isIphone = function isIphone() {
    return ua.indexOf("iPhone") > -1;
};

// 是否是iPad
var isIpad = function isIpad() {
    return ua.indexOf("iPad") > -1;
};

// 是否在墨迹天气中
var isMoji = function isMoji() {
    return ua.indexOf("moji") > -1;
};

// 是否在万年历中
var isWannianli = function isWannianli() {
    return ua.indexOf("wnl") > -1;
};

// 是否在中央天气预报
var isTianqi = function isTianqi() {
    return ua.indexOf("") > -1;
};

// 是否在苹果设备
var isApple = function isApple() {
    return isIphone() === true || isIpad() === true;
};

// 是否是移动设备
var isMobile = function isMobile() {
    return isApple() === true || isAndroid() === true;
};

//判断是否在移动360浏览器
var is360 = function is360() {
    return ua.indexOf("360SE") >= 0 || ua.indexOf("360EE") >= 0;
};

//判断是否在移动UC浏览器
var isUc = function isUc() {
    return ua.indexOf("UCBrowser") >= 0 || ua.indexOf("UCWEB") >= 0;
};

//判断是否是谷歌浏览器
var isChrome = function isChrome() {
    return ua.indexOf("Chrome") >= 0 && !(ua.indexOf("QQ") >= 0) && !(ua.indexOf("XiaoMi") >= 0);
};

//判断是否是Safari浏览器
var isSafari = function isSafari() {
    return ua.indexOf("Safari") >= 0;
};

//判断是否是QQ浏览器
var isQQ = function isQQ() {
    return ua.indexOf("QQ") >= 0 && !(ua.toLowerCase().indexOf("micromessenger") > -1);
};

//判断是否是小米浏览器
var isXiaoMi = function isXiaoMi() {
    return ua.indexOf("XiaoMi") >= 0;
};

exports.setUA = setUA;
exports.isWechat = isWechat;
exports.isWeixin = isWeixin;
exports.isAndroid = isAndroid;
exports.isIphone = isIphone;
exports.isIpad = isIpad;
exports.isMoji = isMoji;
exports.isWannianli = isWannianli;
exports.isTianqi = isTianqi;
exports.isApple = isApple;
exports.isMobile = isMobile;
exports.is360 = is360;
exports.isUc = isUc;
exports.isChrome = isChrome;
exports.isSafari = isSafari;
exports.isQQ = isQQ;
exports.isXiaoMi = isXiaoMi;
