// add.js

let ua = global ? '' : navigator.userAgent;

export function setUA(new_ua){
    ua = new_ua;
}

// 是否在微信中
export const isWechat = () => ua.toLowerCase().indexOf("micromessenger") > -1;

// 是否在微信中
export const isWeixin = () => isWechat();

// 是否是Android
export const isAndroid = () => ua.toLowerCase().indexOf("android") > -1 || ua.toLowerCase().indexOf("linux") > -1;

// 是否是iPhone
export const isIphone = () => ua.indexOf("iPhone") > -1;

// 是否是iPad
export const isIpad = () => ua.indexOf("iPad") > -1;

// 是否在墨迹天气中
export const isMoji = () => ua.indexOf("moji") > -1;

// 是否在万年历中
export const isWannianli = () => ua.indexOf("wnl") > -1;

// 是否在中央天气预报
export const isTianqi = () => ua.indexOf("") > -1;

// 是否在苹果设备
export const isApple = () => (isIphone() === true || isIpad() === true);

// 是否是移动设备
export const isMobile = () => (isApple() === true || isAndroid() === true);

//判断是否在移动360浏览器
export const is360 = () => ua.indexOf("360SE") >= 0 || ua.indexOf("360EE") >= 0;

//判断是否在移动UC浏览器
export const isUc = () => ua.indexOf("UCBrowser") >= 0 || ua.indexOf("UCWEB") >= 0;

//判断是否是谷歌浏览器
export const isChrome = () => (ua.indexOf("Chrome") >= 0) && !(ua.indexOf("QQ") >= 0) && !(ua.indexOf("XiaoMi") >= 0);

//判断是否是Safari浏览器
export const isSafari = () => ua.indexOf("Safari") >= 0;

//判断是否是QQ浏览器
export const isQQ = () => ua.indexOf("QQ") >= 0 && !(ua.toLowerCase().indexOf("micromessenger") > -1);

//判断是否是小米浏览器
export const isXiaoMi = () => ua.indexOf("XiaoMi") >= 0;
