import * as browser from "../src/index.js"
import chai from "chai"

let expect = chai.expect;

describe('browser test', function() {
    it("test Wechat",function () {
        browser.setUA("Mozilla/5.0 (Linux; U; Android 2.3.6; zh-cn; GT-S5660 Build/GINGERBREAD) AppleWebKit/533.1 (KHTML, like Gecko) Version/4.0 Mobile Safari/533.1 MicroMessenger/4.5.255");
        expect( browser.isWechat() ).to.equal(true);
    });

    it("test Weixin",function () {
        browser.setUA("Mozilla/5.0 (Linux; U; Android 2.3.6; zh-cn; GT-S5660 Build/GINGERBREAD) AppleWebKit/533.1 (KHTML, like Gecko) Version/4.0 Mobile Safari/533.1 MicroMessenger/4.5.255");
        expect( browser.isWeixin() ).to.equal(true);
    });

    it("test Android",function () {
        browser.setUA("Mozilla/5.0 (Linux; U; Android 4.0.3; zh-cn; M032 Build/IML74K) AppleWebKit/534.30 (KHTML, like Gecko) Version/4.0 Mobile Safari/534.30");
        expect( browser.isAndroid() ).to.equal(true);
    });

    it("test iPhone",function () {
        browser.setUA("iPhone");
        expect( browser.isIphone() ).to.equal(true);
    });

    it("test iPad",function () {
        browser.setUA("iPad");
        expect( browser.isIpad() ).to.equal(true);
    });

    it("test Moji",function () {
        browser.setUA("moji");
        expect( browser.isMoji() ).to.equal(true);
    });

    it("test Wannianli",function () {
        browser.setUA("wnl");
        expect( browser.isWannianli() ).to.equal(true);
    });

    it("test Tianqi",function () {
        browser.setUA("");
        expect( browser.isTianqi() ).to.equal(true);
    });

    it("test Apple",function () {
        browser.setUA("iPhone");
        expect( browser.isApple() ).to.equal(true);
    });

    it("test Apple",function () {
        browser.setUA("iPad");
        expect( browser.isApple() ).to.equal(true);
    });

    it("test Mobile",function () {
        browser.setUA("iPhone");
        expect( browser.isMobile() ).to.equal(true);
    });

    it("test Mobile",function () {
        browser.setUA("iPad");
        expect( browser.isMobile() ).to.equal(true);
    });

    it("test Mobile",function () {
        browser.setUA("Android");
        expect( browser.isMobile() ).to.equal(true);
    });

    it("test 360",function () {
        browser.setUA("360SE");
        expect( browser.is360() ).to.equal(true);
    });

    it("test 360",function () {
        browser.setUA("360EE");
        expect( browser.is360() ).to.equal(true);
    });

    it("test UC",function () {
        browser.setUA("UCBrowser");
        expect( browser.isUc() ).to.equal(true);
    });

    it("test UC",function () {
        browser.setUA("UCWEB");
        expect( browser.isUc() ).to.equal(true);
    });

    it("test Chrome",function () {
        browser.setUA("Chrome");
        expect( browser.isChrome() ).to.equal(true);
    });

    it("test Chrome",function () {
        browser.setUA("ChromeQQ");
        expect( browser.isChrome() ).to.equal(false);
    });

    it("test Chrome",function () {
        browser.setUA("ChromeQQXiaoMi");
        expect( browser.isChrome() ).to.equal(false);
    });

    it("test Safari",function () {
        browser.setUA("Safari");
        expect( browser.isSafari() ).to.equal(true);
    });

    it("test QQ",function () {
        browser.setUA("QQ");
        expect( browser.isQQ() ).to.equal(true);
    });

    it("test QQ",function () {
        browser.setUA("QQmicromessenger");
        expect( browser.isQQ() ).to.equal(false);
    });

    it("test XiaoMi",function () {
        browser.setUA("XiaoMi");
        expect( browser.isXiaoMi() ).to.equal(true);
    });

});
